package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFD29 extends MwfRequest<MWFD29, MWFD29Response> {

    @Parameter(name = "IDBusiness")
    MWFD29 iDBusiness(String iDBusiness);
    @Parameter(name = "IDDruhSouhlasu")
    MWFD29 iDDruhSouhlasu(String iDDruhSouhlasu);
    @Parameter(name = "IDSystem")
    MWFD29 iDSystem(Long iDSystem);
    @Parameter(name = "IDZaznamuUziv")
    MWFD29 iDZaznamuUziv(Long iDZaznamuUziv);
    @Parameter(name = "JednaciCislo")
    MWFD29 jednaciCislo(String jednaciCislo);
    @Parameter(name = "Jmeno")
    MWFD29 jmeno(String jmeno);
    @Parameter(name = "Prijmeni")
    MWFD29 prijmeni(String prijmeni);
    @Parameter(name = "Propsat")
    MWFD29 propsat(Long propsat);
    @Parameter(name = "RC")
    MWFD29 rc(String rc);
    @Parameter(name = "Stav")
    MWFD29 stav(String stav);
}
